## SiamRPNpp
This repository includes PyTorch code for reproducing the results of SiamRPN++ on **VOT2019**.

**SiamRPN++: Evolution of Siamese Visual Tracking with Very Deep Networks** <br />

Bo Li\*, Wei Wu\*, Qiang Wang\*, Fangyi Zhang, Junliang Xing, Junjie Yan(\* denotes equal contribution) <br />

**CVPR 2019**

**[[Paper](https://arxiv.org/pdf/1812.11703.pdf)][[Project Page](http://bo-li.info/SiamRPN++/)]** <br />

### Bibtex

If you find this code useful, please consider citing:

```
@article{li2018siamrpn++,
  Author    = {Li, Bo and Wu, Wei and Wang, Qiang and Zhang, Fangyi and Xing, Junliang and Yan, Junjie},
  Title     = {SiamRPN++: Evolution of Siamese Visual Tracking with Very Deep Networks},
  booktitle={Proceedings of the IEEE conference on computer vision and pattern recognition},
  Year      = {2019}
}
```


## Environment Setup 

This code is tested on Ubuntu 14.04 TITAN XP, Python3.7, Pytorch 0.4.1, CUDA 9, TITAN XO GPUs.

#### download code
use `pysot` or clone the newest code from [pysot](https://github.com/STVIR/pysot).

#### setup env
please refer to [GitHub](https://github.com/STVIR/pysot/blob/master/INSTALL.md) or `pysot/INSTALL.md` in current directory.

#### download model and config
download model and config from [Google Drive](https://drive.google.com/open?id=1Q4-1563iPwV6wSf_lBHDj5CPFiGSlEPG) and put them into `pysot/experiments/siamrpn_r50_l234_dwxcorr`

change `/path/to/siamrpn_r50_l234_dwxcorr` in `pysot/vot_iter/vot_iter.py L22` to the absolute path of `pysot/experiments/siamrpn_r50_l234_dwxcorr`

#### setup tracker.m
set path in `tracker_SiamRPNpp.m`:
- CODE_PATH: path to pysot: current directory
- TRAX_PATH: trax build path

## Results

|  Tracker  | baseline EAO / A / F | realtime | unsupervised | Speed     |
| :-------: | :--------------------------------: |:-: |:-:|:---------------------: |
| SiamRPNpp |         <sub>0.286/0.5994/96</sub>   | 0.2853     | 0.4825|<sub>**36.3** FPS</sub> |

